`include "tv80s.v"
`include "tv80_core.v"
`include "tv80_alu.v"
`include "tv80_reg.v"
`include "tv80_mcode.v"

module main(
	input  CLKIN, 
	inout  [63:0]PIN,
);


wire cen=1'b1;

tv80s #(.Mode(1)) Z80cpu(//AUTOARG
	  // Outputs
	  //m1_n, mreq_n, iorq_n, rd_n,  wr_n,  rfsh_n, halt_n, busak_n, za,        zcdo,
	  PIN[0], PIN[1], PIN[2], PIN[3],PIN[4],PIN[5], PIN[6], PIN[7],  PIN[23:8], PIN[31:24],
	  // Inputs
	  //reset_n, clkz80, wait_n, int_n,  nmi_n,  busrq_n, cdi_d, cen
	  PIN[32],   CLKIN,  PIN[33],PIN[34],PIN[35],PIN[36], PIN[44:37], cen
	  );

endmodule


