`include "uart_simple.v"
`include "uart.v"

module main(
	input  CLKIN, 
	inout  [63:0]PIN,
);


UART_max_core #(.DIVBITS(8)) uart0 
	( .clk(CLKIN), .d(PIN[7:0]), .wr(PIN[16]), .rd(PIN[17]), .q(PIN[15:8]),
		.rxvalid(PIN[18]), .txrdy(PIN[19]),
		.rxoverr(PIN[20]), .rxframeer(PIN[21]),
		.nstop(PIN[22]), .paren(PIN[23]), .parodd(PIN[24]),
		.bauddiv(PIN[42:27]),
		.txd(PIN[25]), .rxd(PIN[26])
	);


/*
UART_core uart0 
	( .clk(CLKIN), .d(PIN[7:0]), .wr(PIN[16]), .rd(PIN[17]), .q(PIN[15:8]),
		.rxvalid(PIN[18]), .txrdy(PIN[19]),
		.rxoverr(PIN[20]), .rxframeer(PIN[21]),
		.nstop(PIN[22]),
		.txd(PIN[25]), .rxd(PIN[26])
	);
*/	
endmodule


